Subject: Re: [bug#47898] [PATCH] [core-updates] Add option --xpath0 to xmllint from libxml2

From: david larsson <[email-masked]>
Date: Sat, 15 May 2021 19:12:44 +0200

On 2021-05-15 18:12, Marius Bakke wrote:
> david larsson <[email-masked]> skriver:
> 
>>> libxml2-xpath0 is probably better indeed, I don't have a strong
>>> opinion.
>>> Can you send an updated patch?  :-)
>>> 
>>> Thanks,
>>> Marius
>> 
>> Updated patch attached!
> 
> Thanks!
> 
> [...]
> 
>> gnu/packages/patches/libxml2-Add-option-xpath0.patch: New file...
>> gnu/packages/xml.scm (libxml2-xpath0) [source]: ...apply it.
>> ---
>>  .../patches/libxml2-Add-option-xpath0.patch   | 139 
>> ++++++++++++++++++
>>  gnu/packages/xml.scm                          |  52 +++++++
>>  2 files changed, 191 insertions(+)
>>  create mode 100644 
>> gnu/packages/patches/libxml2-Add-option-xpath0.patch
> 
> Please also register this patch in gnu/local.mk.  Can you also add your
> copyright at the top of xml.scm?
> 
> [...]
> 
>> +(define-public libxml2-xpath0
>> +  (package
>> +    (name "libxml2-xpath0")
>> +    (version "2.9.10")
>> +    (source (origin
>> +             (method url-fetch)
>> +             (uri (string-append "ftp://xmlsoft.org/libxml2/libxml2-"
>> +                                 version ".tar.gz"))
>> +             (sha256
>> +              (base32
>> +               
>> "07xynh8hcxb2yb1fs051xrgszjvj37wnxvxgsj10rzmqzy9y3zma"))
>> +             (patches (list (search-patch 
>> "libxml2-Add-option-xpath0.patch")))))
> 
> You can inherit another record in Scheme to avoid duplicating all the
> fields.  Then the package can be shortened to:
> 
>   (define-public libxml2-xpath0
>     (package/inherit libxml2
>       (name "libxml2-xpath0")
>       (source (origin
>                 (inherit (package-source libxml2))
>                 (patches (append (search-patches
> "libxml2-Add-option-xpath0.patch")
>                                  (origin-patches (package-source 
> libxml2))))))
>       (description
>        "...")))
> 
> We should fill out that description to mention how it differs from the
> regular libxml2.  Can you give it a try?  I can make the other changes
> on your behalf, but not sure what to write.
> 
> Thanks,
> Marius

I can fix all of it and send an updated patch again.

Best regards,
David